﻿using System;
using System.Data;
using System.Windows.Forms;
using Infragistics.Win;

namespace ComboSuggestAppendTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
			dt.Columns.Add("Coll1", typeof(string));
			dt.Columns.Add("Coll2", typeof(string));
			dt.Rows.Add("M", "Row 1");
			dt.Rows.Add("MA", "Row 2");
			dt.Rows.Add("MA1", "Row 3");
			dt.Rows.Add("MA2", "Row 4");
			dt.Rows.Add("MB1", "Row 5");
			dt.Rows.Add("MB2", "Row 6");
			cboTest.DataSource = dt;
            foreach (var en in Enum.GetValues(typeof(Infragistics.Win.AutoCompleteMode)))
                ultraComboEditor1.Items.Add(en, en.ToString());
			foreach (var en in Enum.GetValues(typeof(CharacterCasing)))
				ultraComboEditor2.Items.Add(en, en.ToString());
        }

        private void ultraComboEditor1_ValueChanged(object sender, EventArgs e)
        {
			if (ultraComboEditor1.IsItemInList())
			{
				listBox1.Items.Add(string.Format("AutoCompleteMode was change to  {0}", ultraComboEditor1.Value));
				cboTest.AutoCompleteMode = (Infragistics.Win.AutoCompleteMode) Enum.Parse(typeof(Infragistics.Win.AutoCompleteMode), ultraComboEditor1.Text);
			}
        }

		private void cboTest_RowSelected(object sender, Infragistics.Win.UltraWinGrid.RowSelectedEventArgs e)
		{
			listBox1.Items.Add("Row selected, row = " + (e.Row == null ? "Null" : (e.Row.Cells["Coll1"].Text + ", " + e.Row.Cells["Coll2"].Text)));
		}

		private void cboTest_TextChanged(object sender, EventArgs e)
		{
			listBox1.Items.Add("Text changed, text = '" + cboTest.Text + "'");
		}

		private void ultraButton1_Click(object sender, EventArgs e)
		{
			listBox1.Items.Clear();
		}

		private void ultraComboEditor2_ValueChanged(object sender, EventArgs e)
		{
			if (ultraComboEditor2.IsItemInList())
			{
				listBox1.Items.Add("Character casing changed to " + ultraComboEditor2.Text);
				cboTest.CharacterCasing = (CharacterCasing) Enum.Parse(typeof(CharacterCasing), ultraComboEditor2.Text);
			}
		}

		private void ultraButton2_Click(object sender, EventArgs e)
		{
			listBox1.Items.Add("Accept button clicked.");
		}

		private void ultraCheckEditor1_CheckedChanged(object sender, EventArgs e)
		{
			AcceptButton = ultraCheckEditor1.Checked ? ultraButton2 : null;
		}

		private void cboTest_KeyUp(object sender, KeyEventArgs e)
		{
			//listBox1.Items.Add("KeyUp raised, text = '" + cboTest.Text + "'");
		}
    }
}
